QGIS Application - Bug report #10869
Processing: Import into PostGIS slow
2014-07-10 09:49 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 19237
Description

The tool is far slower than the old SPIT plugin, to the point that it cannot be an effective replacement for large data set. Perhaps the -D
[Use postgresgl dump format (defaults to SQL insert statements)] should be used?

History

#1 - 2014-07-12 01:31 AM - Victor Olaya

| am not an expert on that. But if you reccomend that change, it looks like an easy thing. | will look at SPIT to see how it does it.

#2 - 2014-07-12 01:36 AM - Paolo Cavallini

Please have a look to dbmanager too.

#3 - 2014-07-14 06:35 AM - Paolo Cavallini

Correction: DB Manager is apparently equally slow

#4 - 2014-11-22 01:19 AM - Alexander Bruy

- Category changed from 94 to Processing/QGIS

#5 - 2015-02-03 02:36 AM - Giovanni Manghi

- Status changed from Open to Feedback

Given the fast ogr based tools we will have in qgis 2.8 it could be useless to fix this.

#6 - 2015-02-03 03:15 AM - Giovanni Manghi
- Resolution set to wontfix

- Status changed from Feedback to Closed

| spoke with Paolo and he suggested to close this.
